
package de.ivu.elect.business.benutzerverwaltung.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerEinsatzort;
import de.ivu.elect.business.benutzerverwaltung.boundary.BenutzerEinsatzortDAO;
import de.ivu.elect.business.benutzerverwaltung.boundary.BenutzerEinsatzortCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractBenutzerEinsatzortCreate {

  @Inject
  protected BenutzerEinsatzortDAO dao;

    @Inject
    transient Event<BenutzerEinsatzortCreateEvent> createEvent;



  


public void save(BenutzerEinsatzort entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(BenutzerEinsatzort entity) {
        createEvent.fire(new BenutzerEinsatzortCreateEvent(entity));
  }

}
